#!/bin/sh

webfile=$1
[ -z "$webfile" ] && exit 1

webfetch=
[ -x /usr/bin/wget ] && webfetch="/usr/bin/wget --spider --server-response"
[ -x /usr/bin/curl ] && webfetch="/usr/bin/curl --silent --head"

[ -z "$webfetch" ] && exit 1

web_date=`$webfetch $webfile 2>&1 | grep Last-Modified | sed 's/^.*Last-Modified: \(.*\)/\1/'`
unix_date=`date -d "$web_date" +%s`

echo $unix_date
